CVE-2009-1093

NameCVE-2009-1093
DescriptionLdapCtx in the LDAP service in Java SE Development Kit (JDK) and Java Runtime Environment (JRE) 5.0 Update 17 and earlier; 6 Update 12 and earlier; SDK and JRE 1.3.1_24 and earlier; and 1.4.2_19 and earlier does not close the connection when initialization fails, which allows remote attackers to cause a denial of service (LDAP service hang).
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1769-1
NVD severitymedium (attack range: remote)
Debian Bugs521414

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openjdk-6sourcelenny6b11-9.1+lenny2mediumDSA-1769-1
sun-java6source(unstable)6-13-1medium521414
sun-java6sourcelenny6-20-0lenny1medium

Search for package or bug name: Reporting problems